Bug 145015 - RHR cert tests require a unique PASS for each PCI card
Summary: RHR cert tests require a unique PASS for each PCI card
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: ispec   
(Show other bugs)
Version: beta
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Richard Li
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-13 19:21 UTC by Daniel W. Ottey
Modified: 2007-04-18 17:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 16:20:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel W. Ottey 2005-01-13 19:21:05 UTC
Description of problem:
Related to Bug #145012, we are concerned that the RHR Certification tests seem
to require a unique PASS for each PCI card slot in the system.  For our servers
with 32 or more end-user PCI slots, this would take a tremendous amount of time
to test.

As examples:
Even in an 8-PCI slot server, ispec created 9 PASSes for us to run.  6 of those
PASSes are identical except for a difference in "Put a card in PC card slot #X."
 I gather from the documentation I've read, that I must run and pass each
ksX.cfg in order to be certified.  However, I want to know if we can (or why we
can't) just say that my (example) pass #4 had PC cards in slots 4 through 8. 
Why does ispec force a seperate PASS for each PC card slot?

Version-Release number of selected component (if applicable):
ispec-0.95-1.8rc1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Setting priority HIGH as we cannot self-certify without this being changed.

Comment 1 Daniel W. Ottey 2005-01-13 19:28:48 UTC
Sorry, setting this back to Normal.  That was a mistake to set this one as High.

Comment 2 Rob Landry 2005-01-13 20:43:41 UTC
Actually what is meant by PC Cards is PCMCIA/CardBus sockets instead
of PCI slots; this will be updated with a clearer message in a future
release.  Testing does not require a per PCI slot test at the moment
so this should be a non-issue with regards to the actual certification.

Comment 3 Daniel W. Ottey 2005-01-14 16:21:36 UTC
Oh, thank you.  Sorry for the confusion.

Comment 4 Daniel W. Ottey 2005-01-19 16:20:51 UTC
Again, thank you.  Now closing bug.


Note You need to log in before you can comment on or make changes to this bug.